Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts
Class ResolveException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.artifacts.ResolveException

    @Contextual
    class ResolveException
    extends GradleException

A `ResolveException` is thrown when a dependency configuration cannot be resolved for some reason.

author:
  Hans Dockter

Constructor Summary
`ResolveException(Configuration configuration, java.lang.String message)`
`ResolveException(Configuration configuration, java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class java.lang.Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class java.lang.Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class java.lang.Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ResolveException

    public ResolveException(Configuration configuration, java.lang.String message)

### ResolveException

    public ResolveException(Configuration configuration, java.lang.Throwable cause)

Groovy Documentation